---
title: Get the Statuspage account
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Get the Statuspage account{% #get-the-statuspage-account %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/statuspage/account |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/statuspage/account |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/statuspage/account      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/statuspage/account      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/statuspage/account  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/statuspage/account     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/statuspage/account |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/statuspage/account |

### Overview

Get the Statuspage account configured for your organization. This endpoint requires the `integrations_read` permission.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a Statuspage account.

| Parent field | Field                        | Type   | Description                                                                              |
| ------------ | ---------------------------- | ------ | ---------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Statuspage account data from a response.                                                 |
| data         | attributes [*required*] | object | The attributes from a Statuspage account response.                                       |
| attributes   | api_key                      | string | The Statuspage API key for your Statuspage account. The value is always returned masked. |
| data         | type [*required*]       | enum   | Statuspage account resource type. Allowed enum values: `statuspage-account`              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "api_key": "*****"
    },
    "type": "statuspage-account"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/statuspage/account" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
